icetDestroyMPICommunicator(3)

NAME

icetDestroyMPICommunicator -- deletes a MPI communicator

Synopsis

#include <IceTMPI.h>

void icetDestroyMPICommunicator( | IceTCommunicator | comm );

Description

Destroys an IceTCommunicator. comm becomes invalid and any memory or MPI resources held by comm are freed.

Communicators are copied when attached to an IceT context, so destroying an IceTCommunicator used to create a context still in use is safe.

Errors

None.

Warnings

None.

Bugs

All MPI errors are ignored.

Copyright

Copyright (C)2003 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetCreateMPICommunicator(3)